> ## Documentation Index
> Fetch the complete documentation index at: https://developer.lemlist.com/llms.txt
> Use this file to discover all available pages before exploring further.

> Retrieves detailed information about a specific campaign by ID.

# Get Campaign

export const SnippetObjectReference = ({objectName, objectPath = null}) => {
  const lowerCaseObjectName = objectName.toLowerCase();
  if (lowerCaseObjectName === 'lead' || lowerCaseObjectName === 'leads') {
    return <Note>
        This endpoint uses the <a href={`/api-reference/objects-definitions/${objectPath}`}>{objectName} object</a>. Make sure to also check the <a href={`/api-reference/objects-definitions/${lowerCaseObjectName === 'lead' ? 'contact' : 'lead'}`}>{lowerCaseObjectName === 'lead' ? 'Contact' : 'Lead'} object</a> to understand the distinction between the two.
      </Note>;
  }
  return <Note>
      This endpoint uses the <a href={`/api-reference/objects-definitions/${objectPath}`}>{objectName} object</a>.
    </Note>;
};

<SnippetObjectReference objectName="Campaign" objectPath="campaign" />

<Note>
  The `labels` field in the returned object is optional and only included if there are labels on the campaign.
</Note>


## OpenAPI

````yaml get /campaigns/{campaignId}
openapi: 3.0.0
info:
  title: lemlist API
  version: 1.0.0
  description: >-
    Welcome to the lemlist Developer Documentation.


    lemlist is very customizable and open. You'll find on this page all the API
    and integration you can do with lemlist.


    # Rate Limit


    lemlist's API rate limits requests in order to prevent abuse and overload of
    our services.  

    Rate limits are applied on all routes and per API key performing the
    request.  

    The rate limits are **20** requests per **2** seconds.  

    The response provides any information you may need about it:


    | Header | Description |

    | --- | --- |

    | Retry-After | The number of seconds in which you can retry |

    | X-RateLimit-Limit | The maximum requests in that time |

    | X-RateLimit-Remaining | The number of remaining requests you can make |

    | X-RateLimit-Reset | The date when the rate limit will reset |


    _Example of values for the rate limit headers_


    ``` json

    {
        "Retry-After": 2,
        "X-RateLimit-Limit": 20,
        "X-RateLimit-Remaining": 7,
        "X-RateLimit-Reset" : "Tue Feb 16 2021 09:02:42 GMT+0100 (Central European Standard Time)"
    }

     ```

    # Definitions


    ## Team


    A team is the entity of lemlist that can handle users and billing.


    ## Credits


    Credits are the coins a team uses to enrich emails, LinkedIn URLs, etc. via
    the enrich route. Each enrichment feature needs a certain amount of credits
    to run.


    ## User


    You use a user account to connect to lemlist and send messages via the
    connected emails or LinkedIn account.


    ## Campaign


    A campaign is the entity to automate outreach. A campaign has multiple
    sequences composed of steps.


    ## Lead


    A lead is a person that you try to contact via a campaign.


    ## Activity


    An activity is the history of all the steps.


    ## Unsubscribe


    An unsubscribe occurs when a person decides they don't want to receive
    emails from you anymore.


    # Authentication


    All API routes use the dedicated subdomain `api.lemlist.com`.


    lemlist uses API keys to allow access to the API. You can get your lemlist
    API key at our [integration
    page](https://app.lemlist.com/settings/integrations).


    You need to add the `Authorization` header using the `Basic` authentication
    type. `login:password` **where the login is always empty and the password is
    the API key**.


    ⚠️ **Don't forget to add the semicolon (**`:`**) before your API key in curl
    command.**


    > To authorize, use this code: 
      

    ``` shell

    curl https://api.lemlist.com/api/team \
      --user ":YourApiKey"

     ```

    **Make sure to replace** **`YourApiKey`** **with your API key.**


    # Give feedback


    If you want to report a bug, ask for data, or share with us a use case,
    please fill this [form](https://lemlist.typeform.com/to/mfVlkyGf). It will
    help us centralize your needs!
servers:
  - url: https://api.lemlist.com/api
security:
  - basicAuth: []
paths:
  /campaigns/{campaignId}:
    parameters:
      - name: campaignId
        in: path
        required: true
        description: The unique identifier of the campaign
        example: cam_A1B2C3D4E5F6G7H8I9
        schema:
          type: string
    get:
      tags:
        - Campaigns
      summary: Get Campaign
      parameters: []
      responses:
        '200':
          headers:
            Content-Type:
              schema:
                type: string
              example: application/json
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Campaign'
              example:
                _id: cam_bSn8EORHQxbWPjHvu
                name: Product Launch Campaign
                createdAt: '2025-10-27T07:01:04.058Z'
                status: draft
                creator:
                  userId: usr_ahfFktBBHUIxbVG5P
                  userEmail: support@lemlist.com
                senders:
                  - id: usr_rhhX1KT0qgOGCOrgE
                    email: support@lemlist.com
                    sendUserMailboxId: usm_J7BzS86A1vRMc2AuB
        '400':
          description: Bad team
          content:
            text/plain:
              example: Bad team
        '401':
          description: Unauthorized
        '404':
          description: Campaign not found
          content:
            text/plain:
              example: Campaign not found
components:
  schemas:
    Campaign:
      type: object
      description: An automated outreach workflow containing sequences of steps.
      properties:
        _id:
          type: string
          description: Unique campaign identifier
        name:
          type: string
          description: Campaign name
        labels:
          type: array
          description: Categorization labels
          items:
            type: string
        createdAt:
          type: string
          format: date-time
          description: Creation timestamp
        createdBy:
          type: string
          description: Creator user ID
        status:
          type: string
          description: Campaign status
          enum:
            - running
            - paused
            - draft
            - ended
            - archived
            - errors
        sequenceId:
          type: string
          description: Main sequence ID
        scheduleIds:
          type: array
          description: Associated schedule IDs
          items:
            type: string
        teamId:
          type: string
          description: ID of the team that owns this campaign
        hasError:
          type: boolean
          description: Whether the campaign has errors
        errors:
          type: array
          description: List of error messages if campaign has errors
          items:
            type: string
        creator:
          type: object
          description: Campaign creator information
          properties:
            userId:
              type: string
              description: Creator user ID
            userEmail:
              type: string
              format: email
              description: Creator email address
        senders:
          type: array
          description: Campaign senders configuration
          items:
            type: object
            properties:
              id:
                type: string
                description: Sender user ID
              email:
                type: string
                format: email
                description: Sender email address
              sendUserMailboxId:
                type: string
                description: Mailbox ID used for sending
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic

````